Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Class HL7ParsingControlInfo

    java.lang.Object
      com.stc.connector.tcpip.hl7.msg.HL7ParsingControlInfo

All Implemented Interfaces:
  HL7ParsingControlInfoInterface

    public class HL7ParsingControlInfo

extends java.lang.Object
implements HL7ParsingControlInfoInterface

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2008/04/22 05:54:45 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7ParsingControlInfo()` Constructor for HL7ParsingControlInfo.

Method Summary
`boolean` | `getParseAllSegments()` Method getParseAllSegments
`boolean` | `isParseAllSegments()` Method isParseAllSegments
`void` | `setParseAllSegments(boolean b)` Method setParseAllSegments
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7ParsingControlInfo

    public HL7ParsingControlInfo()
                          throws HL7ApplicationException

  Constructor for HL7ParsingControlInfo.

  Throws:
    `HL7ApplicationException`

Method Detail

### isParseAllSegments

    public boolean isParseAllSegments()

  Method isParseAllSegments

  Specified by:
    `isParseAllSegments` in interface `HL7ParsingControlInfoInterface`
  Returns:
    parseAllSegments boolean value

### getParseAllSegments

    public boolean getParseAllSegments()

  Method getParseAllSegments

  Specified by:
    `getParseAllSegments` in interface `HL7ParsingControlInfoInterface`
  Returns:
    parseAllSegments boolean value

### setParseAllSegments

    public void setParseAllSegments(boolean b)

  Method setParseAllSegments

  Specified by:
    `setParseAllSegments` in interface `HL7ParsingControlInfoInterface`
  Parameters:
    `b` - boolean value to set

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD